Index: /trunk/Makefile
===================================================================
--- /trunk/Makefile	(revision 442)
+++ /trunk/Makefile	(revision 443)
@@ -274,212 +274,226 @@
 	Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(SrcSuf) \
 	Utilities/Fastjet/include/fastjet/ClusterSequence.hh
+tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf): \
 	Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(ObjSuf): \
 	Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(ObjSuf): \
 	Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf): \
-	Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf): \
+	Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
 	Utilities/Fastjet/include/fastjet/ClusterSequence.hh
-tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/hash.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/siscone.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/reference.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/ranlux.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/ranlux.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/vicinity.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/area.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/protocones.$(SrcSuf)
-tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf): \
-	Utilities/Fastjet/plugins/SISCone/src/split_merge.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/momentum.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/reference.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/siscone.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/area.$(SrcSuf)
 tmp/Utilities/Fastjet/plugins/SISCone/src/quadtree.$(ObjSuf): \
 	Utilities/Fastjet/plugins/SISCone/src/quadtree.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/split_merge.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/protocones.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/vicinity.$(SrcSuf)
+tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf): \
+	Utilities/Fastjet/plugins/SISCone/src/hash.$(SrcSuf)
 tmp/Examples/src/Analysis_Ex.$(ObjSuf): \
 	Examples/src/Analysis_Ex.$(SrcSuf) \
 	Examples/interface/Analysis_Ex.h
+tmp/Utilities/HepMC/src/GenEvent.$(ObjSuf): \
+	Utilities/HepMC/src/GenEvent.$(SrcSuf)
+tmp/Utilities/HepMC/src/CommonIO.$(ObjSuf): \
+	Utilities/HepMC/src/CommonIO.$(SrcSuf)
+tmp/Utilities/HepMC/src/Units.$(ObjSuf): \
+	Utilities/HepMC/src/Units.$(SrcSuf)
+tmp/Utilities/HepMC/src/Flow.$(ObjSuf): \
+	Utilities/HepMC/src/Flow.$(SrcSuf)
+tmp/Utilities/HepMC/src/ParticleData.$(ObjSuf): \
+	Utilities/HepMC/src/ParticleData.$(SrcSuf)
+tmp/Utilities/HepMC/src/GenVertex.$(ObjSuf): \
+	Utilities/HepMC/src/GenVertex.$(SrcSuf)
+tmp/Utilities/HepMC/src/Polarization.$(ObjSuf): \
+	Utilities/HepMC/src/Polarization.$(SrcSuf)
+tmp/Utilities/HepMC/src/IO_Ascii.$(ObjSuf): \
+	Utilities/HepMC/src/IO_Ascii.$(SrcSuf)
+tmp/Utilities/HepMC/src/IO_PDG_ParticleDataTable.$(ObjSuf): \
+	Utilities/HepMC/src/IO_PDG_ParticleDataTable.$(SrcSuf)
+tmp/Utilities/HepMC/src/IO_GenEvent.$(ObjSuf): \
+	Utilities/HepMC/src/IO_GenEvent.$(SrcSuf)
 tmp/Utilities/HepMC/src/SearchVector.$(ObjSuf): \
 	Utilities/HepMC/src/SearchVector.$(SrcSuf)
-tmp/Utilities/HepMC/src/Units.$(ObjSuf): \
-	Utilities/HepMC/src/Units.$(SrcSuf)
-tmp/Utilities/HepMC/src/Polarization.$(ObjSuf): \
-	Utilities/HepMC/src/Polarization.$(SrcSuf)
-tmp/Utilities/HepMC/src/ParticleData.$(ObjSuf): \
-	Utilities/HepMC/src/ParticleData.$(SrcSuf)
-tmp/Utilities/HepMC/src/IO_PDG_ParticleDataTable.$(ObjSuf): \
-	Utilities/HepMC/src/IO_PDG_ParticleDataTable.$(SrcSuf)
-tmp/Utilities/HepMC/src/Flow.$(ObjSuf): \
-	Utilities/HepMC/src/Flow.$(SrcSuf)
-tmp/Utilities/HepMC/src/GenEvent.$(ObjSuf): \
-	Utilities/HepMC/src/GenEvent.$(SrcSuf)
-tmp/Utilities/HepMC/src/IO_Ascii.$(ObjSuf): \
-	Utilities/HepMC/src/IO_Ascii.$(SrcSuf)
+tmp/Utilities/HepMC/src/IO_AsciiParticles.$(ObjSuf): \
+	Utilities/HepMC/src/IO_AsciiParticles.$(SrcSuf)
+tmp/Utilities/HepMC/src/CompareGenEvent.$(ObjSuf): \
+	Utilities/HepMC/src/CompareGenEvent.$(SrcSuf)
 tmp/Utilities/HepMC/src/GenParticle.$(ObjSuf): \
 	Utilities/HepMC/src/GenParticle.$(SrcSuf)
-tmp/Utilities/HepMC/src/IO_GenEvent.$(ObjSuf): \
-	Utilities/HepMC/src/IO_GenEvent.$(SrcSuf)
-tmp/Utilities/HepMC/src/GenVertex.$(ObjSuf): \
-	Utilities/HepMC/src/GenVertex.$(SrcSuf)
-tmp/Utilities/HepMC/src/CompareGenEvent.$(ObjSuf): \
-	Utilities/HepMC/src/CompareGenEvent.$(SrcSuf)
-tmp/Utilities/HepMC/src/IO_AsciiParticles.$(ObjSuf): \
-	Utilities/HepMC/src/IO_AsciiParticles.$(SrcSuf)
-tmp/Utilities/HepMC/src/CommonIO.$(ObjSuf): \
-	Utilities/HepMC/src/CommonIO.$(SrcSuf)
 SOURCE_OBJ =  \
+	tmp/src/LHCOConverter.$(ObjSuf) \
+	tmp/src/VeryForward.$(ObjSuf) \
+	tmp/src/TriggerUtil.$(ObjSuf) \
+	tmp/src/STDHEPConverter.$(ObjSuf) \
+	tmp/src/TreeClasses.$(ObjSuf) \
+	tmp/src/PdgParticle.$(ObjSuf) \
 	tmp/src/JetsUtil.$(ObjSuf) \
+	tmp/src/FrogUtil.$(ObjSuf) \
+	tmp/src/HepMCConverter.$(ObjSuf) \
+	tmp/src/LHEFConverter.$(ObjSuf) \
+	tmp/src/BFieldProp.$(ObjSuf) \
+	tmp/src/HEPEVTConverter.$(ObjSuf) \
 	tmp/src/CaloUtil.$(ObjSuf) \
+	tmp/src/D_Constants.$(ObjSuf) \
 	tmp/src/SmearUtil.$(ObjSuf) \
-	tmp/src/PdgParticle.$(ObjSuf) \
-	tmp/src/TriggerUtil.$(ObjSuf) \
-	tmp/src/BFieldProp.$(ObjSuf) \
-	tmp/src/VeryForward.$(ObjSuf) \
-	tmp/src/LHEFConverter.$(ObjSuf) \
-	tmp/src/HepMCConverter.$(ObjSuf) \
-	tmp/src/FrogUtil.$(ObjSuf) \
-	tmp/src/STDHEPConverter.$(ObjSuf) \
-	tmp/src/HEPEVTConverter.$(ObjSuf) \
-	tmp/src/D_Constants.$(ObjSuf) \
-	tmp/src/TreeClasses.$(ObjSuf) \
-	tmp/src/LHCOConverter.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/ExRootTreeWriter.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/BlockClasses.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Parameters.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Beam.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Drift.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Marker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_HorizontalQuadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectEllipticAperture.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Drift.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Parameters.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Marker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Beam.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectEllipticAperture.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/ranlux.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/quadtree.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
 	tmp/Examples/src/Analysis_Ex.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/GenEvent.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/CommonIO.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/Units.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/Flow.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/ParticleData.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/GenVertex.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/Polarization.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/IO_Ascii.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/IO_PDG_ParticleDataTable.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/IO_GenEvent.$(ObjSuf) \
 	tmp/Utilities/HepMC/src/SearchVector.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/Units.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/Polarization.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/ParticleData.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/IO_PDG_ParticleDataTable.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/Flow.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/GenEvent.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/IO_Ascii.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/GenParticle.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/IO_GenEvent.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/GenVertex.$(ObjSuf) \
+	tmp/Utilities/HepMC/src/IO_AsciiParticles.$(ObjSuf) \
 	tmp/Utilities/HepMC/src/CompareGenEvent.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/IO_AsciiParticles.$(ObjSuf) \
-	tmp/Utilities/HepMC/src/CommonIO.$(ObjSuf)
-
-tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf): \
-	Utilities/mcfio/mcfio_UserDictionary.c
-tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf): \
-	Utilities/mcfio/mcfio_Util1.c
+	tmp/Utilities/HepMC/src/GenParticle.$(ObjSuf)
+
 tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf): \
 	Utilities/mcfio/mcf_ntuBldDbinc.c
 tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf): \
 	Utilities/mcfio/mcfio_SeqDummy.c
+tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf): \
+	Utilities/mcfio/mcfio_Util1.c
+tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf): \
+	Utilities/mcfio/mcf_evt_xdr.c
+tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf): \
+	Utilities/mcfio/mcf_NTuIOUtils.c
 tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf): \
 	Utilities/mcfio/mcfio_Block.c
-tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf): \
-	Utilities/mcfio/mcf_evt_xdr.c
 tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf): \
 	Utilities/mcfio/mcfio_Direct.c
+tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf): \
+	Utilities/mcfio/mcf_NTuIOFiles.c
+tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf): \
+	Utilities/mcfio/mcfio_UserDictionary.c
 tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf): \
 	Utilities/mcfio/mcf_ntubldInit.c
-tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf): \
-	Utilities/mcfio/mcf_NTuIOUtils.c
-tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf): \
-	Utilities/mcfio/mcf_NTuIOFiles.c
+tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_hepev4_xdr.c \
+	Utilities/mcfio/mcfio_Dict.h \
+	Utilities/mcfio/mcf_xdr.h \
+	Utilities/stdhep/stdhep.h \
+	Utilities/stdhep/hepev4.h \
+	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/stdver.h
+tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_stdcm1_xdr.c \
+	Utilities/mcfio/mcfio_Dict.h \
+	Utilities/mcfio/mcf_xdr.h \
+	Utilities/stdhep/stdcm1.h \
+	Utilities/stdhep/stdver.h
 tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf): \
 	Utilities/stdhep/mcf_hepup_xdr.c \
@@ -489,4 +503,17 @@
 	Utilities/stdhep/heprup.h \
 	Utilities/stdhep/stdver.h
+tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_Stdhep_xdr.c \
+	Utilities/mcfio/mcfio_Dict.h \
+	Utilities/mcfio/mcf_xdr.h \
+	Utilities/stdhep/stdhep.h \
+	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/stdver.h
+tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf): \
+	Utilities/stdhep/stdhep_internal_utils.c \
+	Utilities/stdhep/stdhep.h \
+	Utilities/stdhep/hepev4.h \
+	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/hepeup.h
 tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf): \
 	Utilities/stdhep/stdhep_mcfio.c \
@@ -504,48 +531,21 @@
 	Utilities/stdhep/stdcnt.h \
 	Utilities/stdhep/stdhep_mcfio.h
-tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_hepev4_xdr.c \
-	Utilities/mcfio/mcfio_Dict.h \
-	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/stdhep.h \
-	Utilities/stdhep/hepev4.h \
-	Utilities/stdhep/stdtmp.h \
-	Utilities/stdhep/stdver.h
-tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_Stdhep_xdr.c \
-	Utilities/mcfio/mcfio_Dict.h \
-	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/stdhep.h \
-	Utilities/stdhep/stdtmp.h \
-	Utilities/stdhep/stdver.h
-tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_stdcm1_xdr.c \
-	Utilities/mcfio/mcfio_Dict.h \
-	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/stdcm1.h \
-	Utilities/stdhep/stdver.h
-tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf): \
-	Utilities/stdhep/stdhep_internal_utils.c \
-	Utilities/stdhep/stdhep.h \
-	Utilities/stdhep/hepev4.h \
-	Utilities/stdhep/stdtmp.h \
-	Utilities/stdhep/hepeup.h
 STDHEP_OBJ =  \
-	tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf) \
+	tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf) \
+	tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf) \
-	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf) \
-	tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf) \
-	tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf) \
-	tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf)
+	tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf) \
+	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf)
 
 Examples/interface/Analysis_Ex.h: \
Index: /trunk/Resolutions.cpp
===================================================================
--- /trunk/Resolutions.cpp	(revision 442)
+++ /trunk/Resolutions.cpp	(revision 443)
@@ -1,11 +1,34 @@
-/*
-  ---- FastSim ----
-  A Fast Simulator for general purpose LHC detector
-  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
-
-  Center for Particle Physics and Phenomenology (CP3)
-  Universite Catholique de Louvain (UCL)
-  Louvain-la-Neuve, Belgium
-*/
+/***********************************************************************
+**                                                                    **
+**          /----------------------------------------------\          **
+**         |  Delphes, a framework for the fast simulation  |         **
+**         |       of a  generic collider experiment        |         **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
+**                                                                    **
+**                                                                    **
+**   This package uses:                                               **
+**   ------------------                                               **
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
+**   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
+**                                                                    **
+** ------------------------------------------------------------------ **
+**                                                                    **
+**   Main authors:                                                    **
+**   -------------                                                    **
+**                                                                    **
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
+**                                                                    **
+**                      Copyright (C) 2008-2009,                      **
+**                        All rights reserved.                        **
+**                                                                    **
+***********************************************************************/
 
 /// \file Smearing.cpp
Index: /trunk/interface/BFieldProp.h
===================================================================
--- /trunk/interface/BFieldProp.h	(revision 442)
+++ /trunk/interface/BFieldProp.h	(revision 443)
@@ -12,7 +12,9 @@
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -21,13 +23,13 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
Index: /trunk/interface/CaloUtil.h
===================================================================
--- /trunk/interface/CaloUtil.h	(revision 442)
+++ /trunk/interface/CaloUtil.h	(revision 443)
@@ -2,13 +2,36 @@
 #define _CALOUTIL_H_
 
-/*
-  ---- Delphes ----
-  A Fast Simulator for general purpose LHC detector
-  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
-  
-  Center for Particle Physics and Phenomenology (CP3)
-  Universite Catholique de Louvain (UCL)
-  Louvain-la-Neuve, Belgium
-*/
+/***********************************************************************
+**                                                                    **
+**          /----------------------------------------------\          **
+**         |  Delphes, a framework for the fast simulation  |         **
+**         |       of a  generic collider experiment        |         **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
+**                                                                    **
+**                                                                    **
+**   This package uses:                                               **
+**   ------------------                                               **
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
+**   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
+**                                                                    **
+** ------------------------------------------------------------------ **
+**                                                                    **
+**   Main authors:                                                    **
+**   -------------                                                    **
+**                                                                    **
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
+**                                                                    **
+**                      Copyright (C) 2008-2009,                      **
+**                        All rights reserved.                        **
+**                                                                    **
+***********************************************************************/
 
 /// \file D_CaloUtil.h
